package de.hdm_stuttgart.mi.sd1.maxarraydiff;

/**
 * Array calculations.
 *
 */
public class Calc {

	/**
	 * Calculate the maximum of all mutual absolute
	 * difference values. Example:
	 * 
	 * values = {1, 7, 2, -3, 4}
	 * 
	 * The maximum is 7 - (-3) = 10
	 * 
	 * 
	 * @param values An unordered list of integer values 
	 * @return The number of vowels being contained in s.
	 */
	public static int maxArrayDiff (final int [] values) {

		int maxDiff = 0;
		for (int i = 0; i < values.length; i++) {
			for (int j = i + 1; j < values.length; j++) {
				if (maxDiff < Math.abs(values[i] -values[j])) {
					maxDiff = Math.abs(values[i] -values[j]);
				}
			}
		}
		return maxDiff;
	}
}
