package de.hdm_stuttgart.mi.sd1.fraction;

import org.junit.Assert;
import org.junit.Test;

import de.hdm_stuttgart.mi.sd1.maxarraydiff.Calc;

@SuppressWarnings("javadoc")
public class CalcTest {
  
	  @Test public void testZero() {
		    Assert.assertEquals(0, Calc.maxArrayDiff(new int[]{}));
		  }

	  @Test public void testOne() {
		    Assert.assertEquals(0, Calc.maxArrayDiff(new int[]{-3}));
		  }

	  @Test public void testTwo() {
		    Assert.assertEquals(4, Calc.maxArrayDiff(new int[]{1, -3}));
		  }

	  @Test public void testThree() {
		    Assert.assertEquals(13, Calc.maxArrayDiff(new int[]{1, 4, -9}));
		  }

	  @Test public void testMulti() {
		    Assert.assertEquals(17, Calc.maxArrayDiff(new int[]{ -1, 0, -5, 3, 5, 12, 8}));
		  }



}
