package de.hdm_stuttgart.mi.sd1.Vowelcount;

/**
 * Vowel counts.
 *
 */
public class Vowelcount {

  /**
   * Count vowels ('A', 'E', 'I', 'O', 'U','a', 'e', 'i', 'o', 'u')
   * in an ASCII string. Example: The string
   * <b>Unify it</b> does contains three vowels 'U', 'i' and 'i'. 
   * 
   * @param s The string to be examined. 
   * @return The number of vowels being contained in s.
   */
  public static int numVowels (final String s) {

    int sumVowels = 0;
    for (int i = 1; i < s.length(); i++) {
      switch (s.charAt(i)) {
      case 'a':
      case 'e':
      case 'i':
      case 'o':
        sumVowels++;
        break;
      }
    }
    return sumVowels;
  }
}
