package de.hdm_stuttgart.mi.sd1.fraction;

import static org.junit.Assert.assertEquals;

import org.junit.Test;

import de.hdm_stuttgart.mi.sd1.gcd.Math;

@SuppressWarnings("javadoc")
public class CommonMultipleTest {

  @Test
  public void basicTest() {
    assertEquals(30, Math.getCommonMultiple(6, 10));
    assertEquals(30, Math.getCommonMultiple(10, 6));
  }
  @Test
  public void identityTest() {
    assertEquals(12, Math.getCommonMultiple(1, 12));
    assertEquals(12, Math.getCommonMultiple(12, 1));
  }
  
  @Test
  public void valueOneTest() {
    assertEquals(1, Math.getCommonMultiple(1, 1));
  }
}
