package de.hdm_stuttgart.mi.sd1.store;


import java.io.FileNotFoundException;
import java.io.IOException;

import org.junit.Test;

import de.hdm_stuttgart.mi.sd1.readfile.ReadFile;


@SuppressWarnings("javadoc")
public class TestRead {

  @Test
  public void testReadFileOk() throws FileNotFoundException, IOException {
    ReadFile.openStream("Testdata/input.txt"); // Existing file
  }
  @Test (expected=FileNotFoundException.class) // We expect this exception to be thrown
  public void testReadMissingFile() throws FileNotFoundException, IOException {
    ReadFile.openStream("Testdata/input.java"); // Does not exist
  }
}
