
DROP TABLE IF EXISTS Flight;
DROP TABLE IF EXISTS Destination;
DROP TABLE IF EXISTS Airline;


CREATE Table Airline (
   id INT NOT NULL PRIMARY KEY
  ,name CHAR(20) NOT NULL UNIQUE
  ,airlineCode CHAR(5)NOT NULL UNIQUE
);

CREATE TABLE Destination (
     id INT NOT NULL PRIMARY KEY
    ,fullName CHAR(20) NOT NULL
    ,airportCode CHAR(20) NOT NULL UNIQUE
);


CREATE TABLE Flight (
   id INT NOT NULL PRIMARY KEY
  ,flightNumber CHAR(10) NOT NULL UNIQUE
  ,airline INT NOT NULL REFERENCES Airline
  ,origin int NOT NULL REFERENCES Destination
  ,destination int NOT NULL REFERENCES Destination
  ,CHECK(NOT(origin = destination))
);



