package de.hdm_stuttgart.mi;

import javax.servlet.annotation.WebServlet;

import com.vaadin.annotations.Theme;
import com.vaadin.annotations.VaadinServletConfiguration;
import com.vaadin.navigator.Navigator;
import com.vaadin.server.VaadinRequest;
import com.vaadin.server.VaadinServlet;
import com.vaadin.ui.UI;

@Theme("mytheme")
public class NavigatorUI extends UI {
	private static final long serialVersionUID = -6341836500801165611L;

	@WebServlet( value = "/*", asyncSupported = true)
	@VaadinServletConfiguration(productionMode = false, ui = NavigatorUI.class)
	public static class Servlet extends VaadinServlet {
		private static final long serialVersionUID = -3535598090657149827L;
	}

	Navigator navigator;

	@Override
	protected void init(VaadinRequest request) {
		getPage().setTitle("Navigation Example");

		// Create a navigator to control the views
		navigator = new Navigator(this, this);

		// Create and register the views
		navigator.addView(MyLogin.viewId, new MyLogin(navigator));
	}
}