package de.hdm_stuttgart.mi.entities;

import java.io.Serializable;

import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;

public class User implements Serializable {

	private static final long serialVersionUID = 1L;
	
	@NotNull
	@Size(min=1, max=8)
	String name;
	
	@NotNull
	@Size(min=1, max=13)
	String email;
	
	@NotNull
	@Size(min=1, max=13)
	String password;
	
	
	public String getName() {
		return name;
	}
	public void setName(String name) {
		this.name = name;
	}

	public String getEmail() {
		return email;
	}

	public void setEmail(String email) {
		this.email = email;
	}

	public String getPassword() {
		return password;
	}

	public void setPassword(String password) {
		this.password = password;
	}
}
