package component.emails;

import hibintro.util.HibernateUtil;

import org.hibernate.Session;
import org.hibernate.Transaction;

/**
 * @author goik
 * 
 * Persisting {@link User} instances having component E-Mail Addresses
 *
 */
public class DeleteUser {

   /**
    * @param args not used.
    */
   public static void main(String[] args) {
      final Session session = HibernateUtil.createSessionFactory("component/emails/hibernate.cfg.xml").openSession();

      {
        final Transaction transaction = session.beginTransaction();
        final User user = (User) session.load(User.class, 1L);
        session.delete(user);
        transaction.commit();
      }
   }
}