package entity.company2;

import hibintro.util.HibernateUtil;

import org.hibernate.Session;
import org.hibernate.Transaction;

/**
 * Removing {@link Laptop} from {@link Employee} 
 */
public class LoadAndDeRegister {
  /**
   * @param args not used.
   */
  public static void main(String[] args) {
    final Session session = HibernateUtil.createSessionFactory("entity/company2/hibernate.cfg.xml").openSession();
    {
      final Transaction transaction = session.beginTransaction();
      final Employee  eve = (Employee) session.load(Employee.class, 2L);
      
      eve.setLaptop(null);

      transaction.commit();
    }
  }
}