package entity.company7;

import hibintro.util.HibernateUtil;

import org.hibernate.Criteria;
import org.hibernate.Session;
import org.hibernate.Transaction;
import org.hibernate.criterion.Restrictions;

import entity.company7.model.Employee;
import entity.company7.model.Project;

public class ReassignProjects {
   
  public static void main(String[] args) {
     
     
     
    final Session session = HibernateUtil.createSessionFactory("entity/company7/hibernate.cfg.xml").openSession();
    {
      final Transaction transaction = session.beginTransaction();
      
      final Employee
         martin = (Employee) session.createCriteria(Employee.class).add(
                     Restrictions.eq("staffNumber", 123)).list().get(0)
           ,eve = (Employee) session.createCriteria(Employee.class).add(
                     Restrictions.eq("staffNumber", 140)). list().get(0)
           ,jim = (Employee) session.createCriteria(Employee.class).add(
                     Restrictions.eq("staffNumber", 160)). list().get(0);
      
      final Criteria searchProject = session.createCriteria(Project.class);
      
      final Project water = (Project) searchProject.add(Restrictions.eq("no", 1)).list().get(0);
      martin.removeProject(water);
      
      eve.addProject(water);
      jim.addProject(water);
      session.save(martin);
      session.save(eve);
      session.save(jim);
      transaction.commit();
    }
  }
}