package hibintro.v6;

import hibintro.util.HibernateUtil;

import org.hibernate.Session;
import org.hibernate.Transaction;

/**
 * @author goik
 * 
 * Persisting a simple instance of {@link Project}
 *
 */
public class PersistProject {

   /**
    * @param args not used.
    */
   public static void main(String[] args) {
      final Session session = HibernateUtil.createSessionFactory("hibintro/v6/hibernate.cfg.xml").openSession();

      final Transaction transaction = session.beginTransaction();
      {
         final Project u = new Project("New web-server", 3);
         session.save(u);
      }
      transaction.commit();
   }
}