package inherit.v1;

import java.util.List;



import hibintro.util.HibernateUtil;

import org.hibernate.Query;
import org.hibernate.Session;
import org.hibernate.Transaction;

/**
 * @author goik
 * 
 * Retrieval of all {@link CreditCard} objects from a database.
 *
 */
public class RetrieveAll {

  /**
   * @param args unused
   */
  public static void main(String[] args) {
    final Session session = HibernateUtil.createSessionFactory("inherit/v1/hibernate.cfg.xml").openSession();

    final Transaction transaction = session.beginTransaction();

    final Query searchBilling = session.createQuery("from inherit.v1.BillingDetails");
    @SuppressWarnings("unchecked")
    final List<BillingDetails> billingDetailsList = (List<BillingDetails>) searchBilling.list();
    for (final BillingDetails c: billingDetailsList) {
      System.out.println(c);
    }

    transaction.commit();
  }
}