-- simple version --
CREATE TABLE Person (
   name char(80) 
  ,email CHAR(20) UNIQUE
);

DROP TABLE Person;

DELETE FROM Person where login = 'me';

SELECT * FROM Person;

-- Users may authenticate --
CREATE TABLE Person (
   name char(80) NOT NULL
  ,email CHAR(20) NOT NULL UNIQUE
  ,login CHAR(10)  UNIQUE -- login names must be unique --
  ,password TEXT           -- hash values may be looooong! --
);

SELECT * FROM Person WHERE login='fred' and password = 'sd' OR '1' = '1';

INSERT INTO Person VALUES('Fred Blix', 'fb@my.com', 'blix',
'HwX2DkuYiwp7xogm3AGndza8DKRVvCMntxRvCrCGFPw=$6Ix11yHNB4uPZuF2IQYxVV/MYragJwTDE33OIFR9a24=');

