package sda.jdbc.intro.auth;

import java.awt.Color;

import javax.swing.InputVerifier;
import javax.swing.JLabel;
import javax.swing.JTextField;

public abstract class InputVerifierNotify extends InputVerifier {

   protected final String errorMessage;
   public final JLabel validationLabel;
   public final JTextField field;
   
   public InputVerifierNotify(final JTextField field, final String errorMessage) {
      this.errorMessage = errorMessage;
      this.field = field;
      field.setInputVerifier(this);
      validationLabel = new JLabel();
      validationLabel.setForeground(Color.RED);
   }
   public void clear() {
      validationLabel.setText("");
   }
}