package xml2rdbms;

import java.sql.Connection;
import java.sql.DriverManager;
import java.sql.SQLException;
import java.sql.Statement;

/**
 * Simple error handling when accessing relational data.
 *
 */
public class SqlDriver {

	/**
	 * Hard coded RDBMS access.
	 * @param args unused.
	 */
	public static void main(String[] args) {
		
		try {
			Class.forName("com.mysql.jdbc.Driver");
		} catch (ClassNotFoundException e1) {
			System.out.println("Unable to load database driver");
		}
		try {
			final Connection conn = DriverManager.getConnection(
					 "jdbc:mysql://localhost:3306/hdm", "hdmuser", "XYZ");
			final Statement stmt = conn.createStatement(); // Just for connection testing.
			stmt.close();
			conn.close();
		} catch (SQLException e) {
			System.out.println("Database problem");
		}
	}
}
