package step1;

/**
 * Representing rectangular shapes. 
 *
 */
public class Rectangle {
  
  // Instance variables representing a rectangle's parameters
  private double width, height;
  
  /**
   *  
   * @param width The rectangle's width
   * @param heigth The rectangle's height
   */
  public Rectangle (double width, double height) {
     setWidth(width);
     setHeight(height);
  }
  /**
   * @return The rectangle's area.
   */
  public double getArea() {
    return width * height;
  }

  /**
   * @return The rectangle's perimeter.
   */
  public double getPerimeter() {
    return 2 * (width + height); 
  }
  
  /**
   * @return The rectangle's width.
   */
  public double getWidth() {
     return width;
  }
  /**
   * @param width The rectangle's new width
   */
  public void setWidth(double w) {
      width = w;
  }

  /**
   * @return The rectangle's height.
   */
  public double getHeight() {
     return height;
  }
 
  /**
   * @param width The rectangle's new height
   */
  public void setHeight(double height) {
      this.height = height;
  }
}
