package de.hdm_stuttgart.mi.sd1.fraction;

import static org.junit.Assert.*;

import org.junit.Test;

import de.hdm_stuttgart.mi.sd1.store.Diff;


/**
 * Testing max diff function
 *
 */
public class DiffTest {
  
  /**
   * Test absolute maximal difference
   */
  @Test
  public void testDiff() {
    assertEquals(0, Diff.maxDiff(0, 0, 0));
    assertEquals(0, Diff.maxDiff(1, 1, 1));
    assertEquals(2, Diff.maxDiff(1, 2, 3));
    assertEquals(3, Diff.maxDiff(4, 1, 4));
    assertEquals(3, Diff.maxDiff(-1, -2, -4));
    assertEquals(1, Diff.maxDiff(2, 2, 3));
    
  }
}
