package de.hdm_stuttgart.mi.sd1.intmax;

/**
 * Dealing with array values
 *
 */
public class Max {
	
	/**
	 * An array may contain multiple values being equal to the maximum.
	 * The sample [-4, 5, 2, 5, 4] contains two elements being equal to
	 * the array's maximum value 5. This method retrieves the first index
	 * of an array element being equal to the maximum. In the current 
	 * example the desired index is 1 pointing to the second array element.
	 * 
	 * @param values An array of arbitrary values.
	 * 
	 * @return The smallest index of an array member being equal to the maximum. 
	 * <dl>
      <dt><b>Precondition:</b></dt>
       <dd>0 &lt; values.length</dd>
      <dt><b>Postcondition:</b></dt>
       <dd>0 &lt;= return value &lt; values.length</dd>
     </dl>
	 */
  public static int getFirstMaxIndex(int[] values) {
    return 0; // TODO
  }
  
  /**
   * An array may contain multiple values being equal to the maximum.
   * The sample [-4, 5, 2, 5, 4] contains two elements being equal to
   * the array's maximum value 5. This method retrieves all index
   * values of array element being equal to the maximum and returns
   * them as an array in ascending order. In the current example the
   * returned array will contain the indices [1, 3] pointing to the
   * second and fourth array elements.
   * 
   * @param values An array of arbitrary values.
   * 
   * @return All index values in ascending order of any array member's
   * being equal to the maximum. 
   * <dl>
      <dt><b>Precondition:</b></dt>
       <dd>0 &lt; values.length</dd>
      <dt><b>Postcondition:</b></dt>
       <dd>0 &lt; length of returned array</dd>
     </dl>
   */
  public static int[] getMaxIndexValues(int[] values) {
    return new int[] {0}; // TODO
  }
}