package de.hdm_stuttgart.de.sd1.math;

/**
 * Testing {@link Math#sinOld(double)}in
 *
 */
public class Driver {

  /**
   * @param args Unused
   */
  public static void main(String[] args) {
    
    final double PI = java.lang.Math.PI;
    
    Math.setSeriesLimit(7);
    
    System.out.println("Old Implementation:+++++++++++++++++++++++++++++++++++++++\n");
    double byPowerSeriesOld = Math.sinOld(PI / 2);
    System.out.println("sinOld(pi/2)=" + byPowerSeriesOld + ", difference=" + (byPowerSeriesOld - 1));
    
    byPowerSeriesOld = Math.sinOld(PI);
    System.out.println("sinOld(pi)=" + byPowerSeriesOld + ", difference=" + byPowerSeriesOld);
    
    byPowerSeriesOld = Math.sinOld(4 * PI);
    System.out.println("sinOld(4 * PI)=" + byPowerSeriesOld + ", difference=" + byPowerSeriesOld);
    
    System.out.println("\nNew reorder Implementation:+++++++++++++++++++++++++++++++++++++\n");
    double byPowerSeriesReorder = Math.sin(PI / 2);
    System.out.println("sin(pi/2)=" + byPowerSeriesReorder + ", difference=" + (byPowerSeriesReorder - 1));
    
    byPowerSeriesReorder = Math.sin(PI);
    System.out.println("sin(pi)=" + byPowerSeriesReorder + ", difference=" + byPowerSeriesReorder);
    
    byPowerSeriesReorder = Math.sin(4 * PI);
    System.out.println("sin(4 * PI)=" + byPowerSeriesReorder + ", difference=" + byPowerSeriesReorder);
    

  }

}
