package de.hdm_stuttgart.de.sd1.rounding;

import static org.junit.Assert.*;

import org.junit.Test;

import de.hdm_stuttgart.de.sd1.leap.LeapYear;
import de.hdm_stuttgart.de.sd1.sum.Summing;

/**
 * Unit tests
 */
public class AppTest {

  @Test
  public void testLeapYear() {
    assertTrue(LeapYear.isLeapYear(2000));
    assertTrue(LeapYear.isLeapYear(1984));

    assertFalse(LeapYear.isLeapYear(2001));
    assertFalse(LeapYear.isLeapYear(1800));
  }

  @Test
  public void testSum() {
    assertEquals(15, Summing.getSum(5));
    assertEquals(5050, Summing.getSum(100));

    assertEquals(0, Summing.getSum(0));
    assertEquals(1, Summing.getSum(1));
    assertEquals(3, Summing.getSum(2));
  }
}
