package de.hdm_stuttgart.mi.sda1.jdom.background;

import java.io.IOException;

import org.jdom2.JDOMException;


/**
 * Handling personal data.
 *
 */
public class Driver {

  /**
   * Reading from data from persons.xml and
   * processing them by a {@link TablePresentation} instance.
   * 
   * @param args unused
   * @throws IOException IO related problems.
   * @throws JDOMException internal error.
   */
	public static void main(String[] args) throws JDOMException, IOException  {
    final TablePresentation ao = new TablePresentation();
    
    ao.process("persons.xml");
  }
}