package hibintro.v9;

import hibintro.util.HibernateUtil;

import org.hibernate.Session;
import org.hibernate.Transaction;

/**
 * @author goik
 * 
 * Persisting a simple instance of {@link User}
 *
 */
public class PersistSingleUser {

   /**
    * @param args not used.
    */
   public static void main(String[] args) {
      final Session session = HibernateUtil.createSessionFactory("hibintro/v9/hibernate.cfg.xml").openSession();

      final Transaction transaction = session.beginTransaction();
      {
         final User u = new User();
         u.setUidNumber(123);
         u.setUid("goik");
         u.setCname("Martin Goik");
         
         session.save(u);
      }
      transaction.commit();
   }
}