package inherit.joined.v1;

import hibintro.util.HibernateUtil;

import java.text.ParseException;

import org.hibernate.Session;
import org.hibernate.Transaction;

/**
 * @author goik
 * 
 * Persisting a simple instance of {@link BillingDetails}
 *
 */
public class Persist {

   /**
    * @param args not used.
    * @throws ParseException Expiration may be mis-spelled
    */
   public static void main(String[] args) throws ParseException {
      final Session session = HibernateUtil.createSessionFactory("inherit/joined/v1/hibernate.cfg.xml").openSession();

      final Transaction transaction = session.beginTransaction();
      {
         final CreditCard creditCard = new CreditCard("4412 8334 4512 9416", 1, "05/18/15");
         session.save(creditCard);
         
         final BankAccount bankAccount = new BankAccount("1107 2 31", "Lehman Brothers", "BARCGB22");
         session.save(bankAccount);
      }
      transaction.commit();
   }
}