package inherit.joined.v1;

import java.util.List;



import hibintro.util.HibernateUtil;

import org.hibernate.Query;
import org.hibernate.Session;
import org.hibernate.Transaction;

/**
 * @author goik
 * 
 * Retrieval of all {@link CreditCard} objects from a database.
 *
 */
public class RetrieveCredit {

  /**
   * @param args unused
   */
  public static void main(String[] args) {
    final Session session = HibernateUtil.createSessionFactory("inherit/joined/v1/hibernate.cfg.xml").openSession();

    final Transaction transaction = session.beginTransaction();

    final Query searchCreditPayments = session.createQuery("from inherit.tpc.v1.CreditCard");
    @SuppressWarnings("unchecked")
    final List<CreditCard> creditCardList = (List<CreditCard>) searchCreditPayments.list();
    for (final CreditCard c: creditCardList) {
      System.out.println(c);
    }

    transaction.commit();
  }
}