package inherit.joined.v2;

import hibintro.util.HibernateUtil;

import org.hibernate.Session;
import org.hibernate.Transaction;

/**
 * @author goik
 * 
 * Persisting a simple instance of {@link Figure}
 *
 */
public class Persist {

   /**
    * @param args not used.
    */
   public static void main(String[] args) {
      final Session session = HibernateUtil.createSessionFactory("inherit/joined/v2/hibernate.cfg.xml").openSession();

      final Transaction transaction = session.beginTransaction();
      {
         final Circle circle = new Circle(2.3, 1.8, 3.1);
         session.save(circle);
         
         final Rectangle rectangle = new Rectangle(-2,-2, 1,2);
         session.save(rectangle);
      }
      transaction.commit();
   }
}