package inherit.v2;

import javax.persistence.Column;
import javax.persistence.DiscriminatorValue;
import javax.persistence.Entity;

@Entity
@DiscriminatorValue(value = "Bank account")
public class BankAccount extends BillingDetails {

   String bankName;
   @Column(nullable=false)
   public String getBankName() {return bankName;}
   public void setBankName(String bankName) {this.bankName = bankName;}
   
   String swiftcode;
   public String getSwiftcode() {return swiftcode;}
   public void setSwiftcode(String swiftcode) {this.swiftcode = swiftcode;}
   
   protected BankAccount() {super();}
   public BankAccount(final String accountNumber, final String bankName, final String swiftCode){
      super(accountNumber);
      setBankName(bankName);
      setSwiftcode(swiftCode);
   }
}
