package sax;

import org.xml.sax.Attributes;
import org.xml.sax.helpers.DefaultHandler;

/** Reading attributes from element events */
public class AttribEventHandler extends DefaultHandler {

  /** @see DefaultHandler#startElement(
   * String, String, String, Attributes) */
  public void startElement(String namespaceUri, String localName,
      String rawName, Attributes attrs) {
    System.out.println("Opening Element " + rawName);
    for (int i = 0; i < attrs.getLength(); i++){
      System.out.println(attrs.getQName(i) + "=" + attrs.getValue(i) + "\n");
    }
  }
}