CREATE TABLE Product (
   id CHAR(20) NOT NULL PRIMARY KEY
  ,name VARCHAR(255) NOT NULL
  ,age SMALLINT
);

CREATE TABLE Description (
   product CHAR(20) NOT NULL REFERENCES Product
  ,text VARCHAR(255) NOT NULL
);

-- example data corresponding to products.xml --
INSERT INTO Product VALUES ('mpt', 'Monkey Picked Tea', NULL);
INSERT INTO Description VALUES('mpt', 'Picked only by specially trained monkeys');
INSERT INTO Description VALUES('mpt', 'Rare wild Chinese tea');
INSERT INTO Product VALUES ('instantTent', '4-Person Instant Tent', 15);
INSERT INTO Description VALUES('instantTent', 'Exclusive WeatherTec system.');
INSERT INTO Description VALUES('instantTent', '4-person, 1-room tent');
INSERT INTO Description VALUES('instantTent', 'Pre-attached tent poles');

-- tidy up --
DROP TABLE Description;
DROP TABLE Product;