package sda.jdbc.insecure;


import java.sql.Connection;
import java.sql.PreparedStatement;
import java.sql.SQLException;

public class SecureWrite implements DbWrite {
    
    private final static int nameIndex = 1, emailIndex = 2;

    @Override
    public void save(Connection conn, String name, String email)
            throws SQLException {

        final PreparedStatement pStmt = conn
                .prepareStatement("INSERT INTO Person VALUES (?, ?)");

        pStmt.setString(nameIndex, name);
        pStmt.setString(emailIndex, email);
        pStmt.executeUpdate();
    }
}
