package xml2rdbms;

import java.io.IOException;

import javax.xml.parsers.ParserConfigurationException;
import javax.xml.parsers.SAXParser;
import javax.xml.parsers.SAXParserFactory;


/**
 * Reading billing data
 *
 */
public class XmlDriver {

	/**
	 * Reading input from src/xml2rdbms/data.xml.
	 * @param args unused
	 */
	public static void main(String[] args) {
		
		BillingHandler billingHandler = new BillingHandler();
		
		try {
		      final SAXParserFactory saxPf = SAXParserFactory.newInstance();
		      final SAXParser saxParser = saxPf.newSAXParser();
		      saxParser.parse("src/xml2rdbms/data.xml", billingHandler);
		    } catch (ParserConfigurationException e){
		      e.printStackTrace(System.err);
		    } catch (org.xml.sax.SAXException e) {
		      e.printStackTrace(System.err);
		    } catch (IOException e){
		      e.printStackTrace(System.err);
		    }
	}

}
